package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpEquipment;

import java.util.List;

/**
 * <p>
 * 设备表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-04-15
 */
public interface ITpEquipmentService extends IService<TpEquipment> {

    /**
     * 根据小区id 和 设备类型
     * @param userElement
     * @param equipmentType
     * @return
     */
    ResponseBean getAllByCommunityAndEquipmentType(TaUser userElement, Integer equipmentType);

    /**
     * 修改或者添加 监控设备
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean saveOrUpdateMonitoring(String parameter, TaUser userElement);

    /**
     * 删除设备
     * @param equipmentId
     * @return
     */
    ResponseBean deleteEquipmentById(Integer equipmentId);

    /**
     * 根据设备id 查询
     * @param userElement
     * @param type
     * @param id
     * @return
     */
    ResponseBean getMonitoringById(TaUser userElement, Integer type, Integer id);

    /**
     * 批量删除
     * @param ids
     * @return
     */
    ResponseBean deleteBachEquipmentById(List<Integer> ids);
}
